NativeTypedArrayIterator (rhino 1.7.14 API)

org.mozilla.javascript.typedarrays

## Class NativeTypedArrayIterator<T>

- java.lang.Object
- - org.mozilla.javascript.typedarrays.NativeTypedArrayIterator<T>

- All Implemented Interfaces:
    java.util.Iterator<T>, java.util.ListIterator<T>

      public class NativeTypedArrayIterator<T>
      extends java.lang.Object
      implements java.util.ListIterator<T>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(T t)`
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `T` | `next()`
    `int` | `nextIndex()`
    `T` | `previous()`
    `int` | `previousIndex()`
    `void` | `remove()`
    `void` | `set(T t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T>`
      Specified by:
        `hasNext` in interface `java.util.ListIterator<T>`

    - #### hasPrevious

          public boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `java.util.ListIterator<T>`

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `java.util.ListIterator<T>`

    - #### previousIndex

          public int previousIndex()

      Specified by:
        `previousIndex` in interface `java.util.ListIterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<T>`
      Specified by:
        `next` in interface `java.util.ListIterator<T>`

    - #### previous

          public T previous()

      Specified by:
        `previous` in interface `java.util.ListIterator<T>`

    - #### set

          public void set(T t)

      Specified by:
        `set` in interface `java.util.ListIterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<T>`
      Specified by:
        `remove` in interface `java.util.ListIterator<T>`

    - #### add

          public void add(T t)

      Specified by:
        `add` in interface `java.util.ListIterator<T>`